<template>
    <block type="intro" :scheme="intro_.scheme">
        <div class="section-intro__bg" :class="{'section-intro__bg--overlay': intro_.overlay}">
            <img :src="intro_.url">
        </div>
        <div class="container section-intro__container">
            <div class="row align-items-center">
                <div class="col-lg-7 section-intro__content">
                    <h1 class="section-intro__title">{{ intro_.title }}</h1> 
                    <p v-if="intro_.text" class="section-intro__text">{{ intro_.text }}</p>
                    <div class="breadcrumbs" v-if="$slots.breadcrumbs">
                        <ul class="breadcrumb">
                            <slot name="breadcrumbs"></slot>
                        </ul>
                    </div>
                    <div class="section-intro__buttons" v-if="$slots.buttons">
                        <slot name="buttons"></slot>
                    </div>
                </div>
                <div class="col-lg-5" v-if="intro_.widget_type == 'form' || intro_.widget_type == 'video'">
                    <slot name="widget">
                        <div class="section-intro__widget" :class="[`section-intro__widget--${intro_.widget_type}`]">
                            <div class="section-intro__widget__form" v-if="intro_.widget_type == 'form'">
                                <h3 class="section-intro__widget__form__title" v-if="intro_.widget_form_title">{{ intro_.widget_form_title }}</h3>
                                <div class="form" v-html="intro_.widget_form"></div>
                                <p class="form__disclaimer">Отправляя данную форму, вы соглашаетесь с <a :href="linkDisclaimer">политикой обработки данных</a></p>
                            </div>
                            <a v-if="intro_.widget_type == 'video'" class="section-intro__widget__video js-tingle-modal js-tingle-modal--video" :href="intro_.widget_video"><svg xmlns="http://www.w3.org/2000/svg" width="73" height="73" viewBox="0 0 73 73"><g transform="translate(1.5 1.5)"><path d="M35,0A35,35,0,1,0,70,35,35.1,35.1,0,0,0,35,0ZM28,50.75V19.25L49,35Z" stroke-width="3"/></g></svg><span>Смотреть видео</span></a>
                        </div>
                    </slot>
                </div>
            </div>
        </div>
        <div class="section-intro__buttons--mobile" v-if="$slots.buttons">
            <slot name="buttons"></slot>
        </div>
    </block>
</template>

<script>
import defaultsDeep from "lodash-es/defaultsDeep";

export default {
    props: {
        intro: {
            type: Object
        },
        linkDisclaimer: '#'
    },

    data() {
        return {
            intro_: defaultsDeep(this.intro, {
                title: null,
                text: null,
                url: null,
                overlay: true,
                scheme: 'light',
                transparent: false
            })
        }
    },

    mounted() {
        if (this.intro_.transparent) {
            document.querySelector('body').classList.add('header-transparent');
            document.querySelector('body').classList.add(`header-transparent--${this.intro_.scheme == 'dark' ? 'white' : 'dark'}`);
        }
    }
}
</script>